- resolves #376081: The radvd init script exits without doing anything if
/usr/sbin/radvd exists
This commit is contained in:
parent
ac6ba64833
commit
4d2dcfd1c1
@ -1,5 +1,6 @@
|
|||||||
--- radvd-1.0/redhat/radvd.init.initscript 2007-08-03 11:50:05.000000000 +0200
|
diff -up radvd-1.0/redhat/radvd.init.initscript radvd-1.0/redhat/radvd.init
|
||||||
+++ radvd-1.0/redhat/radvd.init 2007-08-03 13:37:33.000000000 +0200
|
--- radvd-1.0/redhat/radvd.init.initscript 2002-01-08 10:00:50.000000000 +0100
|
||||||
|
+++ radvd-1.0/redhat/radvd.init 2007-11-12 17:12:17.000000000 +0100
|
||||||
@@ -2,7 +2,10 @@
|
@@ -2,7 +2,10 @@
|
||||||
#
|
#
|
||||||
# $Id: radvd.init,v 1.2 2002/01/08 09:00:50 psavola Exp $
|
# $Id: radvd.init,v 1.2 2002/01/08 09:00:50 psavola Exp $
|
||||||
@ -30,9 +31,9 @@
|
|||||||
|
|
||||||
-[ -f /usr/sbin/radvd ] || exit 0
|
-[ -f /usr/sbin/radvd ] || exit 0
|
||||||
+if [ $1 == 'status' ]; then
|
+if [ $1 == 'status' ]; then
|
||||||
+ [ -f /usr/sbin/radvd ] && exit 4
|
+ [ -f /usr/sbin/radvd ] || exit 4
|
||||||
+else
|
+else
|
||||||
+ [ -f /usr/sbin/radvd ] && exit 1
|
+ [ -f /usr/sbin/radvd ] || exit 1
|
||||||
+fi
|
+fi
|
||||||
|
|
||||||
RETVAL=0
|
RETVAL=0
|
||||||
@ -66,7 +67,7 @@
|
|||||||
;;
|
;;
|
||||||
status)
|
status)
|
||||||
status radvd
|
status radvd
|
||||||
@@ -58,13 +68,13 @@
|
@@ -58,13 +68,13 @@ case "$1" in
|
||||||
RETVAL=$?
|
RETVAL=$?
|
||||||
;;
|
;;
|
||||||
reload)
|
reload)
|
||||||
@ -82,7 +83,7 @@
|
|||||||
$0 stop
|
$0 stop
|
||||||
$0 start
|
$0 start
|
||||||
RETVAL=$?
|
RETVAL=$?
|
||||||
@@ -72,7 +82,7 @@
|
@@ -72,7 +82,7 @@ case "$1" in
|
||||||
;;
|
;;
|
||||||
*)
|
*)
|
||||||
echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
|
echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
|
||||||
|
@ -5,7 +5,7 @@
|
|||||||
Summary: A Router Advertisement daemon
|
Summary: A Router Advertisement daemon
|
||||||
Name: radvd
|
Name: radvd
|
||||||
Version: 1.0
|
Version: 1.0
|
||||||
Release: 4.1%{?dist}
|
Release: 5%{?dist}
|
||||||
# The code includes the advertising clause, so it's GPL-incompatible
|
# The code includes the advertising clause, so it's GPL-incompatible
|
||||||
License: BSD-style
|
License: BSD-style
|
||||||
Group: System Environment/Daemons
|
Group: System Environment/Daemons
|
||||||
@ -94,6 +94,9 @@ fi
|
|||||||
%{_sbindir}/radvdump
|
%{_sbindir}/radvdump
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Tue Nov 13 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-5
|
||||||
|
- resolves #376081: The radvd init script exits without doing anything if /usr/sbin/radvd exists
|
||||||
|
|
||||||
* Thu Aug 23 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-4.1
|
* Thu Aug 23 2007 Martin Bacovsky <mbacovsk@redhat.com> - 1.0-4.1
|
||||||
- Rebuild
|
- Rebuild
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user